| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.TleRec Class Reference

Class for containing data structure for Two Line Elements. More...

List of all members.

## Public Member Functions
| TleRec ()
| Empty constructor.
| TleRec (String noradSatcat, long satNumber, byte classification, String intDes, double time, double n1st, double n2nd, double bstar, int ephemerisType, int index, int checksum1, double i, double ra, double e, double w, double m, double n, long absOrbit, int checksum2)
| Constructor with parameters.
## Public Attributes
String | noradSatcat
| Satellite name consistent with the NORAD SATCAT.
long | satNumber
| NORAD Catalogue number.
byte | classification
| Classification: U=unclassified, S=secret data.
String | intDes
| International Designator: (Last two digits of launch year) (Launch number of the year) (Piece of the launch).
double | time
| reference time for the element set (UTC processing days MJ2000).
double | n1st
| First Time Derivative of the Mean Motion.
double | n2nd
| Second Time Derivative of Mean Motion.
double | bstar
| BSTAR drag term .
int | ephemerisType
| Ephemeris type.
int | index
| Element number.
int | checksum1
| Checksum (Modulo 10).
double | i
| Inclination [Degrees].
double | ra
| Right Ascension of the Ascending Node [Degrees].
double | e
| Eccentricity.
double | w
| Argument of Perigee [Degrees].
double | m
| Mean Anomaly [Degrees].
double | n
| Mean Motion [Revs per day].
long | absOrbit
| Revolution number at epoch [Revs].
int | checksum2
| Checksum (Modulo 10) (Letters, blanks, periods, plus signs = 0 minus signs = 1).

## Detailed Description

Class for containing data structure for Two Line Elements.

## Constructor & Destructor Documentation

EECFI.TleRec.TleRec | ( |  | ) |

Empty constructor.

EECFI.TleRec.TleRec | ( | String | noradSatcat,
|  | long | satNumber,
|  | byte | classification,
|  | String | intDes,
|  | double | time,
|  | double | n1st,
|  | double | n2nd,
|  | double | bstar,
|  | int | ephemerisType,
|  | int | index,
|  | int | checksum1,
|  | double | i,
|  | double | ra,
|  | double | e,
|  | double | w,
|  | double | m,
|  | double | n,
|  | long | absOrbit,
|  | int | checksum2 |
| ) |  |  |

Constructor with parameters.

## Member Data Documentation

long EECFI.TleRec.absOrbit

Revolution number at epoch [Revs].

double EECFI.TleRec.bstar

BSTAR drag term .

int EECFI.TleRec.checksum1

Checksum (Modulo 10).

(Letters, blanks, periods, plus signs = 0 minus signs = 1).

int EECFI.TleRec.checksum2

Checksum (Modulo 10) (Letters, blanks, periods, plus signs = 0 minus signs = 1).

byte EECFI.TleRec.classification

Classification: U=unclassified, S=secret data.

double EECFI.TleRec.e

Eccentricity.

int EECFI.TleRec.ephemerisType

Ephemeris type.

double EECFI.TleRec.i

Inclination [Degrees].

int EECFI.TleRec.index

Element number.

String EECFI.TleRec.intDes

International Designator: (Last two digits of launch year) (Launch number of the year) (Piece of the launch).

double EECFI.TleRec.m

Mean Anomaly [Degrees].

double EECFI.TleRec.n

Mean Motion [Revs per day].

double EECFI.TleRec.n1st

First Time Derivative of the Mean Motion.

double EECFI.TleRec.n2nd

Second Time Derivative of Mean Motion.

String EECFI.TleRec.noradSatcat

Satellite name consistent with the NORAD SATCAT.

double EECFI.TleRec.ra

Right Ascension of the Ascending Node [Degrees].

long EECFI.TleRec.satNumber

NORAD Catalogue number.

double EECFI.TleRec.time

reference time for the element set (UTC processing days MJ2000).

double EECFI.TleRec.w

Argument of Perigee [Degrees].